{*presunKategorie*}
<a href="#" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#kategoriePresunModal">Přesunout</a>
<!-- Modal -->
<div class="modal" id="kategoriePresunModal" data-bs-backdrop="false">
    <div class="modal-dialog modal-lg modal-fullscreen-md-down">
        <div class="modal-content shadow-lg">
            <div class="modal-header bg-primary text-white">
                <h5 class="modal-title">Přesun kategorie</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <h5>Vyberte nadřazenou kategorii</h5>
                <div class="category-list border-bottom">
                    <ul class="mb-0 ps-0">
                        <li>
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="parent_cat" {if $kategorie->parent_id == null}checked{/if} onclick="changeParent(0)">
                                <label class="form-check-label">
                                    Hlavní kategorie
                                </label>
                            </div>
                        </li>
                    </ul>
                    {foreach $katSeznamModel->getBaseCategories() as $category}
                        <ul class="mb-0 ps-0">
                            <li>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="parent_cat" value="{$category->id}" {if $kategorie->parent_id == $category->id}checked{/if} onclick="changeParent({$category->id})">
                                    <label class="form-check-label">
                                        {$category->nazev}
                                    </label>
                                </div>
                                {if $category->id != $kategorie->id}
                                    {$katSeznamModel->showSubcategories($category,$kategorie->parent_id,$kategorie->id)}
                                {/if}
                            </li>
                        </ul>
                    {/foreach}
                </div>
            </div>
            <div class="modal-footer">
                <input type="hidden" id="change-parent-id" value="{if $kategorie->parent_id == null}0{else}{$kategorie->parent_id}{/if}">
                <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                <a href="#" class="btn btn-outline-success" onclick="sendParent()">Přesunout</a>
            </div>
        </div>
    </div>
</div>
<script>
    function changeParent(id)
    {
        $('#change-parent-id').val(id);
    }

    function sendParent()
    {
        var id = $('#change-parent-id').val();
        var kat = {$kategorie->id};

        if (id == kat){
            alert('Nelze přesunout pod stejnou kategorii.');
        }else{
            naja.makeRequest('GET', {link presun!},{ {$control->getParameterId('parentId') }: id, {$control->getParameterId('kategorieId') }: kat });
        }
    }
</script>